gnutls_dh_get_pubkey(3)

NAME
gnutls_dh_get_pubkey - return the peer's public key used in D-H key exchange

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_dh_get_pubkey(gnutls_session_t session, gnutls_datum_t * raw_key);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

gnutls_datum_t * raw_key
    will hold the public key.

DESCRIPTION
This function will return the peer's public key used in the last Diffie-Hellman key exchange. This function should be used for both anonymous and ephemeral Diffie-Hellman. The output parameters must be freed with gnutls_free().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.